Bug 1796763 - inkscape-1.0-0.beta.fc31.4.x86_64 is missing configuration files
Summary: inkscape-1.0-0.beta.fc31.4.x86_64 is missing configuration files
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: inkscape
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-31 06:36 UTC by Dov Grobgeld
Modified: 2020-04-25 03:01 UTC (History)
5 users (show)

Fixed In Version: inkscape-1.0-0.rc1.fc32.1 inkscape-1.0-0.rc1.fc31.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-25 02:23:49 UTC
Type: Bug


Attachments (Terms of Use)

Description Dov Grobgeld 2020-01-31 06:36:43 UTC
Description of problem:

I installed inkscape-1.0-0.beta.fc31.4 to do QA of issue #1794965 but it fails to launch.

Version-Release number of selected component (if applicable):

1.0-0.beta

How reproducible:

Everytime

Steps to Reproduce:

1. Install inkscape through `sudo dnf update --enablerepo=updates-testing inkscape` on a fedora 31 system
2. Run `inkscape` in a terminal


Actual results:

```
$ inkscape

** (org.inkscape.Inkscape:6051): WARNING **: 08:29:43.258: Failed to find resource file 'inkex.py'. Looked in:
        /home/dov/.config/inkscape/extensions/inkex.py
        /usr/share/inkscape/extensions/inkex.py
Pango version: 1.44.7

** (org.inkscape.Inkscape:6051): WARNING **: 08:29:43.265: Fonts dir '/home/dov/.config/inkscape/fonts' does not exist and will be ignored.
Unable to find: org.inkscape.help.manual
build_menu: no verb with id: org.inkscape.help.manual
Unable to find: org.inkscape.help.keys
build_menu: no verb with id: org.inkscape.help.keys
Unable to find: org.inkscape.help.askaquestion
build_menu: no verb with id: org.inkscape.help.askaquestion
Unable to find: org.inkscape.help.commandline
build_menu: no verb with id: or
```

There is lots of functionality missing. E.g. `Extensions→Render→Barcode→QR Code`

Expected results:

Getting a functioning version of inkscape
Additional info:

Comment 1 Gwyn Ciesla 2020-01-31 14:22:33 UTC
This version moves from Python 2 to Python 3. You may need to update locally installed extensions to Python 3.

Comment 2 Dov Grobgeld 2020-01-31 15:18:15 UTC
Inkscape is looking for the file `/usr/share/inkscape/extensions/inkex.py` that was included in `inkscape-0.92.4-8.fc31.x86_64`, but is no longer part of the rpm. How can that be related to other extensions? 

Note that the following command list several python2 dependencies:

```
$ sudo dnf deplist --enablerepo=updates-testing inkscape | grep python
Last metadata expiration check: 0:09:00 ago on Fri Jan 31 17:07:50 2020.
  dependency: /usr/bin/python2
   provider: python2-2.7.17-1.fc31.i686
   provider: python2-2.7.17-1.fc31.x86_64
  dependency: python2-lxml
   provider: python2-lxml-4.4.0-1.fc31.x86_64
  dependency: python2-numpy
   provider: python2-numpy-1:1.16.4-5.fc31.i686
   provider: python2-numpy-1:1.16.4-5.fc31.x86_64
  dependency: python2-scour
   provider: python2-scour-0.37-2.fc31.noarch
  dependency: python3
   provider: python3-3.7.6-2.fc31.i686
   provider: python3-3.7.6-2.fc31.x86_64
  dependency: python3-lxml
   provider: python3-lxml-4.4.0-1.fc31.x86_64
  dependency: python3-numpy
   provider: python3-numpy-1:1.17
```

Comment 3 Gwyn Ciesla 2020-01-31 19:12:28 UTC
Ah, yes. This has been a problem with some a of the Betas. See: https://gitlab.com/inkscape/inkscape/issues/546

Comment 4 Fedora Update System 2020-04-15 21:53:56 UTC
FEDORA-2020-2d16b59a81 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-2d16b59a81

Comment 5 Fedora Update System 2020-04-15 21:53:57 UTC
FEDORA-2020-2accff8256 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-2accff8256

Comment 6 Fedora Update System 2020-04-16 19:28:51 UTC
FEDORA-2020-2accff8256 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-2accff8256`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-2accff8256

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2020-04-16 22:17:41 UTC
FEDORA-2020-2d16b59a81 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-2d16b59a81`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-2d16b59a81

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2020-04-25 02:23:49 UTC
FEDORA-2020-2accff8256 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Fedora Update System 2020-04-25 03:01:14 UTC
FEDORA-2020-2d16b59a81 has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.